Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.o
Class OAssign

    java.lang.Object
      org.apache.ode.bpel.o.OBase
          org.apache.ode.bpel.o.OAgent
              org.apache.ode.bpel.o.OActivity
                  org.apache.ode.bpel.o.OAssign

All Implemented Interfaces:
  java.io.Serializable

    public class OAssign

extends OActivity

See Also:
  Serialized Form

Nested Class Summary
`static class` | `OAssign.Copy` Assignmenet copy entry, i.e.
`static class` | `OAssign.DirectRef` Direct reference: selects named child of the message document element.
`static class` | `OAssign.Expression`
`static class` | `OAssign.Literal`
`static interface` | `OAssign.LValue`
`static class` | `OAssign.LValueExpression`
`static class` | `OAssign.PartnerLinkRef`
`static class` | `OAssign.PropertyRef`
`static interface` | `OAssign.RValue`
`static class` | `OAssign.VariableRef`

Field Summary
`java.util.List<OAssign.Copy>` | `copy`

Fields inherited from class org.apache.ode.bpel.o.OActivity
`failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

Fields inherited from class org.apache.ode.bpel.o.OAgent
`incomingLinks, nested, outgoingLinks, variableRd, variableWr`

Fields inherited from class org.apache.ode.bpel.o.OBase
`debugInfo`

Constructor Summary
`OAssign(OProcess owner, OActivity parent)`

Method Summary
`void` | `dehydrate()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.ode.bpel.o.OActivity
`getFailureHandling, getParent, getType, setFailureHandling`

Methods inherited from class org.apache.ode.bpel.o.OBase
`equals, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### copy

    public final java.util.List<OAssign.Copy> copy

Constructor Detail

### OAssign

    public OAssign(OProcess owner,
                   OActivity parent)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OActivity`

### dehydrate

    public void dehydrate()

  Overrides:
    `dehydrate` in class `OBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD